import { createContext } from "react";
import { ILinkContext } from "@interfaces/ILinkContext";

export const LinkContext = createContext<ILinkContext>({
  linkRenderFn: (linkChildren, linkTarget, linkProps) => (
    <a href={linkTarget} {...linkProps}>
      {linkChildren}
    </a>
  ),
});
